GT-TAGERATOR(1)

NAME
gt-tagerator - Map short sequence tags in given index.

SYNOPSIS

gt tagerator [options] -q tagfile [-esa|-pck] indexname

DESCRIPTION

-q
    Specify files containing the short sequence tags

-e [value]
    Specify the allowed number of differences (replacements/insertions/deletions)

-esa [string]
    Specify index (enhanced suffix array) (default: undefined)

-pck [string]
    Specify index (packed index) (default: undefined)

-nod [yes|no]
    Do not compute direct matches (default: no)

-nop [yes|no]
    Do not compute palindromic matches (i.e. no reverse complemented matches.) (default: no)

-best [yes|no]
    Compute only best matches, i.e. only for smallest edit distance with matches (default: no)

-maxocc [value]
    specify max number of match-occurrences (default: 0)

-skpp [yes|no]
    Skip prefix of pattern (only in pdiff mode) (default: no)

-withwildcards [yes|no]
    output matches containing wildcard characters (e.g. N); only relevant for approximate matching (default: yes)

-output
    use combination of the following keywords to specify output tagnum show ordinal number of tag tagseq show tag sequence dblength show length of match in database dbstartpos show start position of match in database abspos show absolute value of dbstartpos dbsequence show sequence of match strand show strand edist show edit distance tagstartpos show start position of match in tag (only for -maxocc) taglength show length of match in tag (only for -maxocc) tagsuffixseq show suffix tag involved in match (only for -maxocc)

-v [yes|no]
    be verbose (default: no)

-help
    display help and exit

-version
    display version information and exit

REPORTING BUGS

Report bugs to <kurtz@zbh.uni-hamburg.de>.